Package org.apache.qpid.proton.engine.impl

# Class EndpointImpl

java.lang.Object
org.apache.qpid.proton.engine.impl.EndpointImpl

All Implemented Interfaces:
  `Endpoint`, `Extendable`, `ProtonJEndpoint`

Direct Known Subclasses:
  `ConnectionImpl`, `LinkImpl`, `SessionImpl`, `TransportImpl`

public abstract class EndpointImpl extends Object implements ProtonJEndpoint

## Constructor Summary

Constructors
Constructor
Description
`EndpointImpl()`

## Method Summary

Modifier and Type
Method
Description
`Record`
`attachments()`
`void`
`close()`
transition local state to CLOSED
`final void`
`free()`
free the endpoint and any associated resources
`ErrorCondition`
`getCondition()`
`protected abstract ConnectionImpl`
`getConnectionImpl()`
`Object`
`getContext()`
`EndpointState`
`getLocalState()`
`ErrorCondition`
`getRemoteCondition()`
`EndpointState`
`getRemoteState()`
`void`
`open()`
transition local state to ACTIVE
`void`
`setCondition(ErrorCondition condition)`
Set the local error condition
`void`
`setContext(Object context)`
Sets an arbitrary an application owned object on the end-point.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EndpointImpl

public EndpointImpl()

## Method Details

### open

public void open()
Description copied from interface: `Endpoint`
transition local state to ACTIVE

Specified by:
  `open` in interface `Endpoint`

### close

public void close()
Description copied from interface: `Endpoint`
transition local state to CLOSED

Specified by:
  `close` in interface `Endpoint`

### getLocalState

public EndpointState getLocalState()

Specified by:
  `getLocalState` in interface `Endpoint`
Returns:
  the local endpoint state

### getRemoteState

public EndpointState getRemoteState()

Specified by:
  `getRemoteState` in interface `Endpoint`
Returns:
  the remote endpoint state (as last communicated)

### getCondition

public ErrorCondition getCondition()

Specified by:
  `getCondition` in interface `Endpoint`
Returns:
  the local endpoint error, or null if there is none

### setCondition

public void setCondition(ErrorCondition condition)
Description copied from interface: `Endpoint`
Set the local error condition

Specified by:
  `setCondition` in interface `Endpoint`
Parameters:
  `condition` -

### getRemoteCondition

public ErrorCondition getRemoteCondition()

Specified by:
  `getRemoteCondition` in interface `Endpoint`
Returns:
  the remote endpoint error, or null if there is none

### getConnectionImpl

protected abstract ConnectionImpl getConnectionImpl()

### free

public final void free()
Description copied from interface: `Endpoint`
free the endpoint and any associated resources

Specified by:
  `free` in interface `Endpoint`

### getContext

public Object getContext()

Specified by:
  `getContext` in interface `Endpoint`
See Also:
  - `Endpoint.setContext(Object)`

### setContext

public void setContext(Object context)
Description copied from interface: `Endpoint`
Sets an arbitrary an application owned object on the end-point. This object is not used by Proton.

Specified by:
  `setContext` in interface `Endpoint`

### attachments

public Record attachments()

Specified by:
  `attachments` in interface `Extendable`